
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>安全态势，交互发现 —— 基于阿里云轻松搭建安全大屏 / iVAN</title>

    <meta name="description" content="安全态势，交互发现 —— 基于阿里云轻松搭建安全大屏 2017年,阿里云启动MVP(Most Valuable Professional)项目.顾名思义,MVP正在寻找阿里云最有价值专家,那些能够,并且愿意帮助他人,充分了解和使用阿里云技术的意见领袖. 本文是阿里云MVP 傅奎的实践分享,今天和大家讲讲 &quot;安全态势,交互发现 -- 基于阿里云轻松搭建安全大屏 &quot; 一句话概述 背景介绍 产品介绍 需求分析 实现方法 导出态势感知 DNS 日志 定制返回 JSON 串的数据源API 定制 DataV 大屏,指定 API 数据源 发布 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">安全态势，交互发现 —— 基于阿里云轻松搭建安全大屏</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><b>2017年，阿里云启动MVP（Most Valuable Professional）项目。顾名思义，MVP正在寻找阿里云最有价值专家，那些能够，并且愿意帮助他人，充分了解和使用阿里云技术的意见领袖。</b></p>
<p><b>本文是阿里云MVP 傅奎的实践分享，今天和大家讲讲 “安全态势，交互发现 —— 基于阿里云轻松搭建安全大屏 </b><b>”</b></p>
<ul>
<li>一句话概述</li>
<li>背景介绍</li>
<li>产品介绍</li>
<li>需求分析</li>
<li>实现方法
<ul>
<li>导出态势感知 DNS 日志</li>
<li>定制返回 JSON 串的数据源API</li>
<li>定制 DataV 大屏，指定 API 数据源</li>
<li>发布监控大屏，看效果</li>
</ul>
</li>
<li>交互式发现</li>
<li>补充说明
<ul>
<li>替你踩过的坑</li>
<li>Show you the code</li>
</ul>
</li>
<li>一些期待
<ul>
<li>关于“交互式”</li>
<li>鸣谢</li>
</ul>
</li>
</ul>
<h1>一句话概述</h1>
<p><strong>使用DataV大屏展现态势感知 DNS 会话日志，从而实现交互式安全威胁发现。</strong></p>
<p><b>剧透一下最终效果，绝对值得试试：</b></p>
<p><b>所有 DNS 日志的节点（源地址、DNS服务器地址、要解析的域名）关系图。点选其中任一节点，关联点自动高亮，非关联节点则进入蒙版状态，要是有什么可疑的节点、关系、类目，一眼就看出来！<br /></b></p>
<p><b><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzE3ODMyNzAxMzczZTkyMTUyOWYxMDQzMzJmNzNjNDI4MmNmYTU4Y2EuanBlZw==.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzczNDE2ZTI5OGQ1YWI5MThhZjg5ZjVjOGVlYjI2YjA4ZDUwOWQyZmIucG5n.jpg"><br /></b></p>
<h1>背景介绍</h1>
<p>自打“态势感知”上线了新版的“日志”功能，团队成员就在摩拳擦掌寻思如何充分挖掘日志信息的价值，而不仅仅是用于故障诊断或事件调查。其中，通过图形化展现不同网络资源节点的相互关系，进而实现交互式安全威胁发现，是最为理想的实现方式。此前尝试过 Graphviz、yEd、NetworkX 等方式，后来都因配置复杂，使用繁琐等问题放弃。</p>
<p>直到MVP 技术群里李文毅向大家推荐了 DataV，我想：是时候“make it true ”了！</p>
<h1>产品介绍</h1>
<p><em>以下材料援引自官方介绍，描述不准与我无关：</em></p>
<ul>
<li>态势感知</li>
</ul>
<p>“态势感知提供的是一项SAAS服务，即在大规模云计算环境中，对那些能够引发网络安全态势发生变化的要素进行全面、快速和准确地捕获和分析，并提供一个体系化的安全解决方案。”</p>
<ul>
<li>DataV 数据可视化</li>
</ul>
<p>“DataV旨让更多的人看到数据可视化的魅力，帮助非专业的工程师通过图形化的界面轻松搭建专业水准的可视化应用。DataV提供丰富的可视化模板，满足您会议展览、业务监控、风险预警、地理信息分析等多种业务的展示需求。”</p>
<h1>需求分析</h1>
<p>态势感知的日志功能非常强大，目前支持查询：所有入站的7层数据、出入站栈的4层会话以及DNS双向日志。其中 DNS 日志有助于安全团队分析服务器是否遭受入侵，被植入木马病毒，存在异常请求等问题。</p>
<p>我们最关心的是：<strong>哪台服务器，通过哪个 DNS Server，解析了哪个域名？</strong></p>
<p>针对该需求，如果有可视化的节点关系图辅助分析，那么威胁识别的效率将大幅提升。在没有使用 DataV 之前，通常的办法是使用一些图表工具进行展现，而且少不了定制化开发的工作量。DataV 的出现，大大解放了数据分析人员的双手，从而可以用于拖动进度条。仅仅通过少量的鼠标点击和基本的 API 配置，就能瞬间让你的数据充满活力，开口说话。DataV 自带节点关系图，并内嵌原生ECharts ，完全可以满足此类需求。</p>
<h1>实现方法</h1>
<p>你一定很期待强劲的态势感知与性感的 DataV强强联合会是什么样子。期待不如行动，我们一起动手去实现吧。</p>
<h2>导出态势感知 DNS 日志</h2>
<p>登录阿里云控制台，进入<code>安全（云盾）|态势感知</code>功能页，通过子菜单选择<code>日志 new</code>项目。<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzc5ODY4ZmYwMzBjNDE0M2UxZWEwYzQxNzE4ZWY4ODIwMTQ2YTJlZjUuanBlZw==.jpg"></p>
<p>设置DNS 日志查询条件，分别是：</p>
<ul>
<li>日志源：DNS</li>
<li>字段：qtype</li>
<li>判断条件：包含（目前只能选包含）</li>
<li>关键字：A</li>
</ul>
<p>再设置好查询时间，点击<code>搜索</code>就可以啦。<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzMyZTQ0MDlkMmMxNDIxZTE4YTgwOGJiN2FhODU4NDk5MTlkYmE3MWEuanBlZw==.jpg"></p>
<p>系统很快就能返回查询结果，通过右上角<code>导出结果</code>将当前页（没错，，是当前页，，一次100条-_-）日志导出到Excel 中。如果需要更多数据，得依次翻页导出-_-。当然也有程序化解决方案，请往后看。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzM3Yjk2NjE5NzU2MTdlY2Y1NTNjOWEzMTg0ZmYxYzhlYWY4OTU5YWYuanBlZw==.jpg"></p>
<h2>定制返回 JSON 串的数据源API</h2>
<p>对导出的 Excel 文件进行数据抽取，关键是：</p>
<ul>
<li>源地址：src_ip</li>
<li>DNS Server：dst_ip</li>
<li>尝试解析的域名：qname</li>
</ul>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2RlYzdiNmZkZDc5NDM2NWZkYTE2ODg2YzY0MjBhYTlhZmNiN2Q5ODUuanBlZw==.jpg"></p>
<p>将源地址、DNS 地址、域名三项都纳入节点范畴，同时将源地址-&gt;DNS 地址、DNS 地址-&gt;域名纳入关系范畴，通过 HTTP 将节点 nodes 和关系 links 输出为 JSON 就是一个可用的API数据输入源。</p>
<p>别着急，作为良心分享，怎么能少了技术细节呢？为了不影响阅读，我把数据格式化和 API 相关的具体内容放在后面环节。</p>
<h2>定制 DataV 大屏，指定 API 数据源</h2>
<p>通过阿里云控制台<code>大数据（数加）|DataV数据可视化</code>进入定制界面，直接选择<code>新建可视化</code>。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzA2ZjcxZmU3MzI3YjdkMDM4NGQ5ZjFiODYxMjNjMjcyZTFhM2ZlZWMuanBlZw==.jpg"></p>
<p>创建大屏模板，设置一个你喜欢的名字。<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzRhZDdmMzhiNTdlNTBkM2U5MGMyZTU3YzFlZGY4YzgyNjAxMDc5OTIuanBlZw==.jpg"></p>
<p>向大屏图层添加数据展示组件， 这里可以选择关系网络或原生的 Echarts 网络图。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2JmMGJiYzdkNWIwZGRmYWUxNzkwOWYyZmFiM2Y0M2I0ZWM4MGZkOWYuanBlZw==.jpg"></p>
<p>点选图表组件，进入右侧<code>数据</code>选项卡，修改默认的数据源类型<code>静态数据</code>为 <code>API</code>。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzdhZmExNDM4Yzc1MDg5NzI4MzdlODZjYTIzYmU1N2Y1MDE2MDU4NWYuanBlZw==.jpg"></p>
<p>填写满足系统要求的 API，如：<code>http://www.test.com/datav.json</code>，鼠标离开输入框，左侧设计区会即时展现效果。<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzZkN2RhM2ZkYmE1OWE0ZjVlYTA0MzQwNzQyMmZmZDRhYmI1YWMwMGMuanBlZw==.jpg"></p>
<h2>发布监控大屏，看效果</h2>
<p>数据调试和预览成功后，可通过右上角的<code>发布</code>按钮，正式发布报表。DataV 考虑得很周到，为报表提供了密码和 Token 两种安全保护机制。<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzhkNGQ3ZmFhZDVmMWZmODc4NzNhMjkwMDA4ZjZkMWNmMTE1NjA2ODkuanBlZw==.jpg"></p>
<p>访问发布后的报表链接：http://datav.aliyun.com/share/ef9aa**********a3fd8（这是他们的秘密不可访问的哈）</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2RkZmIxMTlmYjY2ZDExZmI0MzBmNGY5MTI2MzUyYWFlOTc3MGVkNTAuanBlZw==.jpg"></p>
<h1>交互式发现</h1>
<p>好吧，放一些我在测试环境模拟出来的数据。下面是一段时间内，所有 DNS 日志的节点（源地址、DNS服务器地址、要解析的域名）关系图。<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2YxM2VmN2QzNGJiOWFkYTg4ZmUwOTFkMDU3NzZhMTBkOTQ3MzNkMzQuanBlZw==.jpg"></p>
<p>点选其中任一节点，关联点自动高亮，非关联节点则进入蒙版状态，相当炫酷啊！<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzE3ODMyNzAxMzczZTkyMTUyOWYxMDQzMzJmNzNjNDI4MmNmYTU4Y2EuanBlZw==.jpg"></p>
<p>来，再看另外一组测试数据。要是有什么可疑的节点、关系、类目，一眼就看出来！<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzczNDE2ZTI5OGQ1YWI5MThhZjg5ZjVjOGVlYjI2YjA4ZDUwOWQyZmIucG5n.jpg"></p>
<p><em>小提示：万一发现了什么神奇的域名或 IP 地址，可以直接上微步威胁情报查询，例如：<a href="https://x.threatbook.cn/domain/google.com" rel="external nofollow noreferrer">https://x.threatbook.cn/domain/google.com</a>。是不是坏人立即遁形，这个库太全了……</em></p>
<h1>补充说明</h1>
<h2>替你踩过的坑</h2>
<ul>
<li>如果不打算使用<code>服务器代理</code>方式调用API，那么一定要设置好 API 的 HTTP 头部跨域参数</li>
<li>如果使用了 HTTPS 访问DataV 监控大屏，那么 API 接口也必须是 HTTPS 形式</li>
<li>API 接口返回的数据要和静态数据输入框中的格式完全一样——JSON 串</li>
<li>如果你遇到了一些神奇的 Bug，请把图层或组件删除后从头再来一遍（不要问我怎么知道的）</li>
<li>DataV 自带的关系图和内嵌的原生 ECharts 在数据格式上有一定的区别，要看仔细</li>
</ul>
<h2>Show you the code</h2>
<p>下面这段代码可以帮助使用者在登录态势感知后，自动获取 DNS 会话日志，并按照 DataV 关系图所适配的数据格式生成 JSON 串。非专业开发人员的临时代码，写得比较丑，别太当真。</p>
<pre><code>#!/usr/bin/python
# -*- coding:utf8 -*-
import json
# pip install requests
import requests

# 成功登录态势感知后，通过 Chrome 复制当前会话的 Cookie。
cookie_str = 'aliyun_country=CN; aliyun_site=CN;'\
             'UM_distinctid=***; JSESSIONID=***; '\
             'consoleNavVersion=1.1.1; _yundun_session0=***; '\
             'aliyun_choice=CN; isg=***E-'

nodes_client = []  # 客户端 IP
nodes_server = []  # DNS Server IP
nodes_domain = []  # 解析的域名

def get_yundun_DNS_log(http_session=None, page_num = 1):
    """
    访问阿里云后台，请求 DNS 日志
    :param http_session: requests.session()
    :param page_num: page number
    :return: HTTP Response
    """
    global cookie_str
    url = 'https://yundun.console.aliyun.com/sas/slssearch/'\
          'getLogList.json?__preventCache=1500********2&amp;_timeScope=1800000'\
          '&amp;currentPage=%d&amp;endTime=2017-07-19+19:00:00'\
          '&amp;pageSize=100&amp;query=dns@qtype:A&amp;reverse=true'\
          '&amp;startTime=2017-07-19+12:30:00'
    req = http_session.request('GET', url=(url % page_num),
                                headers={'cookie': cookie_str})
    if req.status_code == 200:
        return req.text
    return {}

def get_group_name(node):
    """
    根据不同的节点类型，返回不同的类目组。相同组的节点将使用相同的颜色显示。
    :param node: node_name
    :return: group_name
    """
    global nodes_client, nodes_server, nodes_domain
    if node in nodes_client:
        return 'group1'
    if node in nodes_domain:
        if 'ali' in node:
            return 'group2'
        return 'group3'
    if node in nodes_server:
        if node in ('114.114.114.114'):
            return 'group4'
        if node.startswith('192'):
            return 'group5'
    return 'group6'

def get_DNS_log_json_list():
    """
    返回所有 DNS 日志记录 JSON
    :return:
    """
    dns_log_json = []
    sessionX = requests.session()
    # 翻页10次
    for i in range(10):
        res = get_yundun_DNS_log(sessionX, i+1)
        log_json = json.loads(res)
        dns_log_json += log_json['data']['list']
    return dns_log_json

def geenrate_nodes_and_links():
    """
    生成所有节点和关系的List
    :return: (nodes[], links[])
    """
    global nodes_client, nodes_server, nodes_domain
    nodes = []  # 所有节点
    links = []  # 所有关系
    for log in get_DNS_log_json_list():
        (client, domain, server) = ('','','')
        for mContent in log['mContents']:
            if mContent['mKey'] == 'src_ip':
                client = mContent['mValue']
            if mContent['mKey'] == 'qname':
                domain = mContent['mValue']
            if mContent['mKey'] == 'dst_ip':
                server = mContent['mValue']
        if client == '' or domain == '' or server =='':
            continue
        #print (client, domain, server)

        if domain == 'shcmsproxy.aliyun.com':
            continue

        if client not in nodes_client:
            nodes_client.append(client)
        if client not in nodes:
            nodes.append(client)

        if domain not in nodes_domain:
            nodes_domain.append(domain)
        if domain not in nodes:
            nodes.append(domain)

        if server not in nodes_server:
            nodes_server.append(server)
        if server not in nodes:
            nodes.append(server)

        if (client, server) not in links:
            links.append((client, server))
        if (server, domain) not in links:
            links.append((server, domain))
    return (nodes, links)

def get_datav_json():
    (nodes, links) = geenrate_nodes_and_links()
    graph = {'nodes':[], 'links':[]}

    for node in nodes:
        graph['nodes'].append({
                "imgPath": "",
                "name": node,
                "type": get_group_name(node)
        })
    for link in links:
        graph['links'].append({
                "source": link[0],
                "target": link[1],
                "value": 10
        })
    return '[%s]' % json.dumps(graph)

if __name__ == '__main__':
    print get_datav_json()

</code></pre>
<p>以下是API输出结果示例：</p>
<pre><code>[
  {
    "nodes": [
      {
        "imgPath": "",
        "name": "192.168.1.1",
        "type": "group1"
      },
      {
        "imgPath": "",
        "name": "114.114.114.114",
        "type": "group2"
      },
      {
        "imgPath": "",
        "name": "taobao.com",
        "type": "group3"
      }
    ],
    "links": [
      {
        "source": "192.168.1.1",
        "target": "114.114.114.114",
        "value": 10
      },
      {
        "source": "114.114.114.114",
        "target": "taobao.com",
        "value": 15
      }
    ]
  }
]

</code></pre>
<p>将上述内容作为企业自身 API 接口的输出，同时设置 HTTP HEAD 相关的参数，即可通过 DataV 大屏调用并展现啦！</p>
<pre><code>self.set_header('Access-Control-Allow-Origin', '*.aliyun.com')
self.set_header('Content-Type', 'application/json;charset=UTF-8')

</code></pre>
<p>跨域相关的问题请参考：浏览器的同源策略和跨域问题详解</p>
<h1>一些期待</h1>
<h2>关于“交互式”</h2>
<p><b>这篇文章的标题中有两个字我很喜欢——“交互”。</b></p>
<p>除了视图上的交互，实际上使用者还花了很长的时间用在态势感知日志查询、 导出和格式化上。</p>
<p>这也算是一种“交互”，一种比较笨的交互。希望未来阿里云能在多个产品之间的数据引用、内部接口交互上再做些升级，让我们这样的使用者少发挥技能，直到我们彻底“自废武功”。</p>
<p>就这些，如果您有什么问题欢迎在这里留言与我交流。</p>
<p>想和我成为工作伙伴一起探索云平台上的安全技术实践，也一样欢迎哦~</p>
<h2>鸣谢</h2>
<ul>
<li>木酱</li>
<li>花肉酱</li>
<li>李文毅</li>
<li>@苇如|巢甜</li>
<li>@卡密</li>
<li>@杜仲</li>
</ul>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 12:38:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e4%ba%91/" title="阿里云">阿里云</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e5%9f%9f%e5%90%8d/" title="域名">域名</a>, <a href="https://www.iamivan.net/tag/aliyun/" title="aliyun">aliyun</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/json/" title="json">json</a>, <a href="https://www.iamivan.net/tag/node/" title="node">node</a>, <a href="https://www.iamivan.net/tag/%e6%97%a5%e5%bf%97/" title="日志">日志</a>, <a href="https://www.iamivan.net/tag/api/" title="api">api</a>, <a href="https://www.iamivan.net/tag/dns/" title="dns">dns</a>, <a href="https://www.iamivan.net/tag/%e7%9b%91%e6%8e%a7/" title="监控">监控</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%8f%af%e8%a7%86%e5%8c%96/" title="数据可视化">数据可视化</a>, <a href="https://www.iamivan.net/tag/mvp/" title="mvp">mvp</a>, <a href="https://www.iamivan.net/tag/datav/" title="DataV">DataV</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>安全态势，交互发现 —— 基于阿里云轻松搭建安全大屏的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmB3KDz.html" rel="bookmark">梨视频：基于阿里云E-MapReduce搭建视频推荐系统的实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				   (来源:C资讯)     专注新闻资讯的梨视频近来表现亮眼.   梨视频由前澎湃新闻掌门人邱兵创立.   在上线之前,它就获得了黎瑞刚华人文化近1亿美元投资,旗下&lt;微辣&gt;栏目总播放量已经超过4亿,并在上线1个月后获得&quot;年度视频新媒体&quot;大奖.   这样一款脱胎于传统媒体的创业型短视频软件,在视频领域异军突起,不仅让内人士在感叹梨视频内容生产力之强大的同时,也诧异于是谁在为梨视频的庞大用户体量提供技术支撑.保证视频流畅?   今天就和大家分享梨视频如何基于阿里云快速搭建一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZBv75z.html" rel="bookmark">基于阿里云服务，我们的架构&OpenCurlyDoubleQuote;瘦身&rdquo;了</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文正在参加&quot;最佳上云实践&quot;评选,来给我们投票吧:https://yq.aliyun.com/activity/158(编号30) 写在开头 从柚子街项目启动到现在快有2年了,在这两年里项目的功能与架构正在一步步逐渐完善,我们也正朝着更好更大的目标一直努力着.也正是&quot;结识&quot;阿里云,我们的服务架构越来越轻便高效. 前言 我们柚子街是美柚旗下的电商导购项目,主要业务为淘宝天猫商家带来更大更精确化用户流量,整体业务模式在不断探索和实践中逐步完善,架构也在随着业务与流量的增			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqge8b.html" rel="bookmark">暴走漫画基于阿里云的全面容器化架构实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标题有所修改. 很高兴能和大家分享一些暴走漫画基于公有云的容器化架构的实践经验. 基于之前在暴漫的经验,我到了扇贝以后,大概用了一个月的时间,就将扇贝的产品成功迁移到了容器环境中,并做了很多改进,也有了更多的思考. 暴走漫画(以下简称&quot;暴漫&quot;)相信大家都不陌生,它应该算一个互联网应用.先简单介绍一下背景:暴漫主要做App和网站,后端主要是Ruby,也有一些Python.Scala的异构化系统.整体架构是标准的互联网应用架构.包括负载均衡.Nginx.应用服务器.数据库(MySQL),等			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvGgj1p.html" rel="bookmark">小鱼儿CTO赵兴国：基于阿里云的互联网&plus;视频会议系统实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2016云栖大会上海峰会于2016.1.20日在上海科技馆顺利举办.本文是根据小鱼儿科技联合创始人兼CTO赵兴国在2016云栖大会上海峰会&lt;互联网+架构及实践专场&gt;的演讲中分享内容整理而成.赵兴国以基于阿里云后台的视频会议系统为例,分享了互联网+的视频会议实践.   下面是演讲内容整理.   传统视频会议设备复杂,一般是四件套,会议系统必须外接电视.麦克风.摄像头,学习很复杂的摇控器,才能够开始使用.为保障视频会议效果,还需要搭建服务器.租专线,才能投入使用.并且每次开会都需要专业人员维护,比			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QEB7p.html" rel="bookmark">【物流大数据实践】基于阿里云Maxcompute实现物流跟踪</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				免费开通大数据服务:https://www.aliyun.com/product/odps 摘要: 目前我国物流业保持较快增长,但还是存在一些问题:物流成本高.效率低,条块分割严重(自营物流.规模小.技术落后.标准不统一).基础设施相对滞后(物流基础设施之间不衔接.不配套),对订单创建到用户签收整套完整流程缺乏完善的监控和预警手段. 基于建设统一物流平台的基本要求,用户希望打通各大系统,能够跟踪所有订单在物流系统中的流转过程.处理状态等信息,具体如下需求: 1:订单分为5个阶段,订单处理.发运处			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBgvWM.html" rel="bookmark">关于举办&OpenCurlyDoubleQuote;天德&pi;客&rdquo;创业论坛&mdash;&mdash;&OpenCurlyDoubleQuote;基于阿里云的大数据实践&mdash;海量日志分析&rdquo;的通知</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着互联网.云计算.物联网.社交网络等技术的兴起和普及,全球数据的增长快于任何一个时期,可以称作是爆炸性增长.收集大量数据,并在数据中发现趋势,能使企业能够更快.更平稳.更有效地发展.然而,大数据对许多企业和数据专业人员来说,它仍然很难理解,那么,什么是大数据分析?如何利用阿里云数加平台进行海量数据分析,帮助企业更好地利用数据资源?&quot;天德π客&quot;众创空间特举办本期论坛--&quot;基于阿里云的大数据实践--海量日志分析&quot;,邀请华北电力大学电力系统及其自动化博士,阿里云大数据高			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5RBaWz.html" rel="bookmark">基于阿里云数加平台的大数据Serverless实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文PPT来自班输于10月16日在2016年杭州云栖大会上发表的&lt;基于阿里云数加平台的大数据Serverless实践&gt;. 数加是阿里云大数据的品牌名,其旗下包含一系列的大数据产品及服务,可以为用户提供一站式的数据开发.分析.应用平台.数加提供的服务包括智能语音/图象/视频分析服务.企业级数据仓库服务,地理信息可视化服务,风险预警与管控服务等等.其在基础平台的大数据产品包括数据开发.机器学习.大数据计算.分析型数据库.流计算,在数据应用层的产品包括数据可视化DataV.推荐引擎.人脸识别等等.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVQeQKp.html" rel="bookmark">基于阿里云MaxCompute实现复杂事件检测</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.需求背景          随着信息化的不断发展,业务系统的不断完善,企业面临新的问题:1.现代工业中的输入事件流数量正成倍地增加,其中包含大量的原子事件,由原子事件构成的复合事件,甚至由复合事件构成的复杂事件.2.现代工业对于软硬件系统实时响应的要求很高,用户要求系统可以对一些关键的业务输入事件做出即时的响应行为.3.现代工业生产环境苛刻,一般需要严格的过程控制和安全措施.生产过程包含复杂的物理.化学过程,及各种突变和不确定性因素,当生产中的复杂事件没有被实时检测出来,很有可能造成生产的失			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLBajRb.html" rel="bookmark">【Best Practice】基于阿里云数加&CenterDot;MaxCompute及Quick BI构建网站用户画像分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前文背景:[Best Practice]基于阿里云数加·StreamCompute快速构建网站日志实时分析大屏   开通阿里云数加产品 前提条件 为了保证整个实验的顺利开展,需要用户使用开通相关产品及服务,包括DataHub.MaxCompute.AnalyticDB.Data IDE.Quick BI.      业务场景 数据来源于网站上的HTTP访问日志数据,基于这份网站日志来实现如下分析需求: n   统计并展现网站的PV和UV,并能够按照用户的终端类型(如Android.iPad.iP			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwwG3z.html" rel="bookmark" class="title">基于NetBean6&period;1平台的JSP开发</a>
					<div>
						一.下载NetBean6.1 NetBean6.1包含了Web服务器Tomcat6.0.16和GlassFish V2,因此安装NetBean后这两个服务器自动安装好了. 二.查看Tomcat属性 在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOmy0M.html" rel="bookmark" class="title">DMVPN Spoke穿越动态PAT的测试实验</a>
					<div>
						一.测试拓扑: 二.测试目的: A.理解DMVPN的阶段二和阶段三 B.验证两种方式穿越PAT的不同 三.基本配置: A.Hub: interface Loopback0 ip address 192 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLg0Yb.html" rel="bookmark" class="title">配置微软Outlook安全设置</a>
					<div>
						在你配置了这些你想通过在Exchange服务器上创建项目进行的设置,你依然需要强制Outlook去使用这些设置.要想使用这个功能,你需要为客户端计算机配置一个新的注册键值.这就是为什么这是在你最开始使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNvBDb.html" rel="bookmark" class="title">Flash中制作响应鼠标打击动作讲解</a>
					<div>
						  一.实现思路 我们先来看看实例的效果,鼠标在场景中的不同地方划过,场景中的小人都会有不同的反应.尤其有趣的是,当鼠标划过的速度不同的时候,反应的强弱也是不同的.这就跟游戏中的实现很相似了. 总的来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO8Xqb.html" rel="bookmark" class="title">管家婆免费仓库管理软件运行后数据库连接失败</a>
					<div>
						一.软件安装完成后电脑未重启便直接打开软件!这类情况是比较常见的情况之一,解决的方法也比较简单,直接重启电脑便可! 二.MSDE数据库软件没有安装完成或电脑中已经存在MSDE数据库软件导致管家婆软件自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKaBZM.html" rel="bookmark" class="title">Photoshop给树林美女照片调出甜美的黄绿色</a>
					<div>
						黄绿色也是比较常用的颜色,比较适合夏季外景图片.调色过程也比较简单,只需要把背景部分主色调成黄绿色,再把人物部分稍微调红润一点即可. 原图 &lt;点小图查看大图&gt; 最终效果 1.打开原图素材, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze77ROM.html" rel="bookmark" class="title">搜狗浏览器2015怎么设置多窗口</a>
					<div>
						  实质上,在现在这个时段来说,搜狗浏览器2015是没有选择&quot;多窗口模式&quot;这个选项了.但是可以用其他办法代替一下,下面说的几个方法希望对大家有所帮助. 一是使用新建窗口模式. 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EmDKM.html" rel="bookmark" class="title">Adobe FireWorks cs6中文绿色版安装使用图文</a>
					<div>
						  第一步:解压文件 首先把我们下载的Adobe FireWorks cs6文件安装包解压出来 第二步:运行安装程序 双击&quot;Quickinstall&quot;开始安装Adobe FireW ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjQKlb.html" rel="bookmark" class="title">U盘量产知识介绍</a>
					<div>
						  1. U盘硬件组成是什么 主控芯片+存储芯片 主控芯片存储控制闪存的信息.有的U盘坏了,通过换主控,内容还不丢失,只要闪存没坏. 闪存,是外国鬼子搞出来的,目前在中国市的五花八门的U盘大多是国外淘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBo6qz.html" rel="bookmark" class="title">显卡驱动安装不上的两种解决办法</a>
					<div>
						  显卡驱动程序是显卡与电脑之间通信桥梁,如果显卡驱动被损坏了,显卡就不能正常跟电脑进行协调,如出现花屏现象,分辨率变小或变大,而且调节不了,或者出现黑屏现象. 如果显卡驱动损坏了,当然就要更新,更新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Y2NXM.html" rel="bookmark" class="title">调用微信接口的配置文件wx&period;congfig写在什么地方？</a>
					<div>
						问题描述 调用微信接口的配置文件wx.congfig写在什么地方? wx.config({ debug: true, // 开启调试模式,调用的所有api的返回值会在客户端alert出来,若要查看传入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRq7lGb.html" rel="bookmark" class="title">vss2005 操作错误解决方案</a>
					<div>
						问题描述 vss2005 操作错误解决方案 打开这个文件夹 删除时 是否有解决办法? 解决方案 你的服务器的文件被损坏了.运行分析工具尝试修复下. 解决方案二: 分析工具?哪个东西啊,完全不知道.(我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQOQ8p.html" rel="bookmark" class="title">Apache Zeppelin安装及介绍</a>
					<div>
						背景 Apache Zeppelin提供了web版的类似ipython的notebook,用于做数据分析和可视化.背后可以接入不同的数据处理引擎,包括spark, hive, tajo等,原生支持sc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrK6ZM.html" rel="bookmark" class="title">js-bootstrap-table的post数据问题</a>
					<div>
						问题描述 bootstrap-table的post数据问题 要怎么把post的数据从{&quot;&quot;page&quot;&quot;:1rows&quot;&quot;:10}变为page= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZnjOb.html" rel="bookmark" class="title">Linux内核剖析 之 进程地址空间（三）</a>
					<div>
						本节主要讲述缺页异常处理程序和堆的管理等内容. 缺页异常处理程序 触发缺页异常程序的两种情况: 1. 由编程错误引起的异常(如访问越界,地址不属于进程地址空间). 2. 地址属于线性地址空间,但内核还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXDamz.html" rel="bookmark" class="title">sql-数据库新手提问：SQL查询语句</a>
					<div>
						问题描述 数据库新手提问:SQL查询语句 有3张表:学生表(学号,姓名,性别,年龄);课程表(课程号,课程名,学期):成绩表(学号,课程号,分数). 现在根据学号和学期查询某个同学的成绩信息:例如学号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4na6z.html" rel="bookmark" class="title">一个数据库（mysql） 俩个项目跑 有什么好解决方案或者注意的问题？</a>
					<div>
						问题描述 一个数据库(mysql)俩个项目跑有什么好解决方案或者注意的问题?一个项目是给app提供数据的.一个是web端请问这样做会有什么问题? 解决方案 解决方案二:应该没有什么问题,不管有多少个项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWE4kz.html" rel="bookmark" class="title">php setcookie函数的参数说明及其用法&lowbar;php技巧</a>
					<div>
						php setcookie函数的参数说明 用法: setcookie(name,value,expire,path,domain,secure) 参数 描述 name 必需.规定 cookie 的名称 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xkoab.html" rel="bookmark" class="title">在Word中为三位数字设置带圈字符</a>
					<div>
						从2000版本开始,Word提供了设置带圈字符的功能,选定相应的字符,执行&quot;格式&quot;菜单下的&quot; 中文版式→带圈字符&quot;命令,然后&quot;带圈字符&quot; 对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60JALz.html" rel="bookmark" class="title">如何实现：获取到经纬度，动态显示在地图对应的位置上</a>
					<div>
						问题描述 实现目标:1.输入:经纬度(GPS)输出:动态显示在地图上对应的位置,用一个点来表示.或是其他都行2.输入:一组经纬度(带时间戳)输出:显示目标的轨迹(动态显示)主要是显示车辆信息.环境:v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE313M.html" rel="bookmark" class="title">《程序员之禅》一一1&period;2 什么是禅</a>
					<div>
						1.2 什么是禅 程序员之禅1.2.1 佛陀乔达摩·悉达多 在了解禅之前,我们需要先了解下佛教.乔达摩·悉达多创立了众所周知的佛教.他是净饭王之子,出生于公元前563年.(在悉达多小的时候,)有预言称 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4elYPb.html" rel="bookmark" class="title">lync-Lync是否有二次开发接口</a>
					<div>
						问题描述 Lync是否有二次开发接口 我用java实现了一个知识库查询系统,我想在Lync创建一个虚拟用户,所有企业员工对这个虚拟用户所说的话都将直接转接到知识库系统,并将返回的html格式的知识内容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze02Owp.html" rel="bookmark" class="title">NOCONA服务器拆机 致荣1U高性价比</a>
					<div>
						自从去年下半年Intel推出Nocona处理器之后,中小服务器和工作站在64bit的方案选择上开始一边倒的偏向Intel,Nocona也立刻热销,采用Nocona的服务器和工作站产品更是百花齐放. 相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8nNAb.html" rel="bookmark" class="title">mysql导入sql到mysql提示ERROR 1418错误</a>
					<div>
						在将sql导入到mysql时候出现以下错误: ERROR 1418 (HY000) at line 8752: This function has none of DETERMINISTIC, NO  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GVxLp.html" rel="bookmark" class="title">JS中如何判断传过来的JSON数据中是否存在某字段&lowbar;javascript技巧</a>
					<div>
						如何判断传过来的JSON数据中,某个字段是否存在, 1.obj[&quot;key&quot;] != undefined 这种有缺陷,如果这个key定义了,并且就是很2的赋值为undefined,那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G8KJp.html" rel="bookmark" class="title">请问redshift 如何用kettle进行连接呢呢呢？？？</a>
					<div>
						问题描述 请问redshift如何用kettle进行连接呢??????????????????用sqlworkbench是没有问题的.求大师帮忙啊 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLwkDM.html" rel="bookmark" class="title">头疼，Mircorosoft&period;web&period;ui&period;webcontrols&period;treeview的问题&comma;是不是一个bug呀</a>
					<div>
						问题描述 我把treeview放到updatepanel里,点击结点,多点几次后,前面正常,后面树就会突然消失,再刷新才出的来,事件是SelectedIndexChange,基本排除代码问题,项目里很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q1QDp.html" rel="bookmark" class="title">Qt之镜像旋转</a>
					<div>
						简述 Qt中可以对图片进行任何处理,改变亮度.灰度.透明度.大小.形状等,当然也可以进行镜像旋转! 简单的几行代码,有时就可以事半功倍...甚至图片不用经过美工处理就可以直接拿来使用! 简述 实现 原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWGq1p.html" rel="bookmark" class="title">警方提醒小心陌生电话：猜猜我是谁暗藏骗子</a>
					<div>
						本报讯(记者袁勇)&quot;猜猜我是谁,对方以一个老朋友的口吻拷问你.于是,你说出了多年未见的老朋友名字.这个老朋友说即将来看你,不料却突然遭遇车祸或者其他意外--&quot;昨日,成都市公安局刑侦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdm18z.html" rel="bookmark" class="title">GOOGLE 百度 未来是怎样？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 GOOGLE的FANS最近沉寂了很 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
